Subject: Re: [Bier] Comments on draft-zzhang-bier-tether-02

From: "Jeffrey (Zhaohui) Zhang" <[email-masked]>
Date: Tue, 24 Sep 2019 17:01:06 +0000

Hi Chonggang,

Thank you so much for your thorough review, suggestions and insightful questions.

I have posted the -03 revision that addresses all your comments. In particular, I removed the section 4.1 approach so we only signal from the helper node now.

https://tools.ietf.org/html/draft-zzhang-bier-tether-03

Jeffrey

From: BIER <[email-masked]> On Behalf Of Chonggang Wang
Sent: Friday, August 16, 2019 1:52 PM
To: BIER WG <[email-masked]>
Subject: [Bier] Comments on draft-zzhang-bier-tether-02

Hi,

We have reviewed draft-zzhang-bier-tether-02 and would like to provide the following feedback:

  1.  Overall, it is short and nice draft.
  2.  General: Suggest adding a title for each figure and cite these figures properly
  3.  Editorial: "BIER-incapable" is used in the title while "BIER incapable" in used in description. Suggest making them consistent.
  4.  Editorial: "Section 6.9" appears in multiple places. Suggest adding [RFC8279] as its reference at each place for avoiding potential confusion.
  5.  Editorial in Section 1: suggest defining the term "tethering"
  6.  Editorial in Section 2:
     *   replace the first "IGP" with "Interior Gateway Protocol (IGP)"?
     *   replace the first "SPF" with "Shortest Path First (SPF)"?
     *   replace "This need" with "This needs"?
     *   replace "incapable routers" with "BIER-incapable routers"?
     *   replace "rely on" with "relying on"?
  7.  Editorial in Section 3:
     *   replace "is no different" with "is not different"?
     *   replace the first "LFA" with "Loop-Free Alternate (LFA)"?

  *   Editorial in Section 2-3: BFER1 and/or BFIR1 are used in all figures. Should they all be changed to BFIR1?
  *   Section 4.1 & 4.2: Two solutions are described in 4.1 and 4.2 respectively. Is it possible and if there is any implication of X uses the solution in 4.1 and BFRx uses the solution in 4.2 at the same time?  If both solutions are alternative and only one solution needs to be implemented in practice, the question is whether this draft needs to describe which solution will be used under which condition.

Thanks,
CG

---

From: Chonggang Wang <[email-masked]>
Date: Tue, 24 Sep 2019 17:46:40 +0000

Hi Jeffrey,

Thank you for addressing my comments. The v03 looks good to me.

Best,
CG

From: Jeffrey (Zhaohui) Zhang <[email-masked]>
Sent: Tuesday, September 24, 2019 1:01 PM
To: Chonggang Wang <[email-masked]>; BIER WG <[email-masked]>
Subject: RE: Comments on draft-zzhang-bier-tether-02

Hi Chonggang,

Jeffrey

From: BIER <[email-masked]<mailto:[email-masked]>> On Behalf Of Chonggang Wang
Sent: Friday, August 16, 2019 1:52 PM
To: BIER WG <[email-masked]<mailto:[email-masked]>>
Subject: [Bier] Comments on draft-zzhang-bier-tether-02

Hi,

Thanks,
CG